flex.messaging.endpoints.amf
Class LegacyFilter

java.lang.Object
  extended by flex.messaging.endpoints.amf.AMFFilter
      extended by flex.messaging.endpoints.amf.LegacyFilter

public class LegacyFilter
extends AMFFilter

AMF Headers are of limited use because the apply to the entire AMF packet, which may contain a batch of several requests.

Rather than relying on the Flash Player team to change the AMF specification, Flex 1.5 introduced the concept of a Message Envelope that allowed them to provide message level headers that apply to a single request body.

Essentially they introduced one more layer of indirection with an ASObject of type "Envelope" that had two properties:
- headers, which was an array of Header structures
- body, which was the actual data of the request (typically an array of arguments)

To save space on the wire, a Header structure was simply an array. The first element was the header name as a String, and was the only required field. The second element, a boolean, indicated whether the header must be understood. The third element, any Object, represented the header value, if required.


Field Summary
static String LEGACY_ENVELOPE_FLAG_KEY
           
static String LEGACY_ENVELOPE_FLAG_VALUE
           
static String LEGACY_SECURITY_CREDENTIALS
           
static String LEGACY_SECURITY_HEADER_NAME
           
static String LEGACY_SECURITY_PRINCIPAL
           
 
Constructor Summary
LegacyFilter(BaseHTTPEndpoint endpoint)
           
 
Method Summary
 void invoke(ActionContext context)
          The core business method.
 
Methods inherited from class flex.messaging.endpoints.amf.AMFFilter
getNext, setNext
 
Methods inherited from class java.lang.Object
equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait
 

Field Detail

LEGACY_ENVELOPE_FLAG_KEY

public static final String LEGACY_ENVELOPE_FLAG_KEY
See Also:
Constant Field Values

LEGACY_ENVELOPE_FLAG_VALUE

public static final String LEGACY_ENVELOPE_FLAG_VALUE
See Also:
Constant Field Values

LEGACY_SECURITY_HEADER_NAME

public static final String LEGACY_SECURITY_HEADER_NAME
See Also:
Constant Field Values

LEGACY_SECURITY_PRINCIPAL

public static final String LEGACY_SECURITY_PRINCIPAL
See Also:
Constant Field Values

LEGACY_SECURITY_CREDENTIALS

public static final String LEGACY_SECURITY_CREDENTIALS
See Also:
Constant Field Values
Constructor Detail

LegacyFilter

public LegacyFilter(BaseHTTPEndpoint endpoint)
Method Detail

invoke

public void invoke(ActionContext context)
            throws IOException
Description copied from class: AMFFilter
The core business method.

Specified by:
invoke in class AMFFilter
Throws:
IOException


Copyright © 2008 Adobe Systems Inc. All Rights Reserved.

 

Send me an e-mail when comments are added to this page | Comment Report

Current page: http://livedocs.adobe.com/blazeds/1/javadoc/flex/messaging/endpoints/amf/LegacyFilter.html